net.i2p.router.web.helpers

## Class SidebarRenderer

- java.lang.Object
- - net.i2p.router.web.helpers.SidebarRenderer

-     class SidebarRenderer
      extends Object

  Helper for sidebar rendering and navigation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static String[]` | `ALL_SECTIONS`
    `(package private) static Map<String,String>` | `SECTION_NAMES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SidebarRenderer(RouterContext context, SidebarHelper helper)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `floodfillEnabled()`
    `(package private) static String` | `getEepsiteURL(PortMapper pm)`
    `boolean` | `isAdvanced()`
    `String` | `renderAdvancedHTML()`
    `String` | `renderAdvancedRouterInfoHTML()`
    `String` | `renderBandwidthGraphHTML()`
    `String` | `renderBandwidthHTML()`
    `String` | `renderClockHTML()`
    `String` | `renderCongestionHTML()`
    `String` | `renderCPUBarHTML()`
    `String` | `renderDestinationsHTML()`
    `String` | `renderFirewallAndReseedStatusHTML()`
    `String` | `renderHelpAndFAQHTML()`
    `String` | `renderI2PInternalsHTML()`
    `String` | `renderI2PServicesHTML()`
    `String` | `renderMemoryBarHTML()`
    `String` | `renderNetworkReachabilityHTML()`
    `String` | `renderNewsHeadingsHTML()`
    `String` | `renderPeersHTML()`
    `String` | `renderRestartStatusHTML()`
    `String` | `renderRouterInfoHTML()`
    `String` | `renderShortRouterInfoHTML()`
    `void` | `renderSummaryHTML(Writer out)` Note - Ensure all links in here are absolute, as the summary bar may be displayed on lower-level directory errors.
    `String` | `renderTunnelsHTML()`
    `String` | `renderTunnelStatusHTML()`
    `String` | `renderUpdateStatusHTML()`
    `boolean` | `unifiedSidebar()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_SECTIONS

          static final String[] ALL_SECTIONS

    - #### SECTION_NAMES

          static final Map<String,String> SECTION_NAMES

  - ### Constructor Detail

    - #### SidebarRenderer

          public SidebarRenderer(RouterContext context,
                                 SidebarHelper helper)

  - ### Method Detail

    - #### floodfillEnabled

          public boolean floodfillEnabled()

    - #### getEepsiteURL

          static String getEepsiteURL(PortMapper pm)

      Returns:
        null if none

    - #### isAdvanced

          public boolean isAdvanced()

    - #### renderAdvancedHTML

          public String renderAdvancedHTML()

    - #### renderAdvancedRouterInfoHTML

          public String renderAdvancedRouterInfoHTML()

    - #### renderBandwidthGraphHTML

          public String renderBandwidthGraphHTML()

    - #### renderBandwidthHTML

          public String renderBandwidthHTML()

    - #### renderClockHTML

          public String renderClockHTML()

    - #### renderCongestionHTML

          public String renderCongestionHTML()

    - #### renderCPUBarHTML

          public String renderCPUBarHTML()

    - #### renderDestinationsHTML

          public String renderDestinationsHTML()

    - #### renderFirewallAndReseedStatusHTML

          public String renderFirewallAndReseedStatusHTML()

    - #### renderHelpAndFAQHTML

          public String renderHelpAndFAQHTML()

    - #### renderI2PInternalsHTML

          public String renderI2PInternalsHTML()

    - #### renderI2PServicesHTML

          public String renderI2PServicesHTML()

    - #### renderMemoryBarHTML

          public String renderMemoryBarHTML()

    - #### renderNetworkReachabilityHTML

          public String renderNetworkReachabilityHTML()

    - #### renderNewsHeadingsHTML

          public String renderNewsHeadingsHTML()

    - #### renderPeersHTML

          public String renderPeersHTML()

    - #### renderRestartStatusHTML

          public String renderRestartStatusHTML()

    - #### renderRouterInfoHTML

          public String renderRouterInfoHTML()

    - #### renderShortRouterInfoHTML

          public String renderShortRouterInfoHTML()

    - #### renderSummaryHTML

          public void renderSummaryHTML(Writer out)
                                 throws IOException

      Note - Ensure all links in here are absolute, as the summary bar may be displayed on lower-level directory errors.
      Throws:
        `IOException`

    - #### renderTunnelsHTML

          public String renderTunnelsHTML()

    - #### renderTunnelStatusHTML

          public String renderTunnelStatusHTML()

    - #### renderUpdateStatusHTML

          public String renderUpdateStatusHTML()

    - #### unifiedSidebar

          public boolean unifiedSidebar()